Subject: Re: bug#36076: Manual should clarify that glibc-utf8-locales is needed by default on foreign distros

From: Ludovic Courtès <[email-masked]>
Date: Thu, 06 Jun 2019 09:57:59 +0200

Hi Jack,

Jack Hill <[email-masked]> skribis:

> On Wed, 5 Jun 2019, Ludovic Courtès wrote:
>
>> I honestly don’t see how it could be clearer:
>>
>>  https://www.gnu.org/software/guix/manual/en/html_node/Application-Setup.html#Locales
>>
>> Could you propose a patch to this section?
>
> I think what is missing is a statement that the systemd unit for
> guix-daemon on foreign distos runs guix-daemon with a locale that is
> only provided in glibc-utf8-locales.
>
> I clairification could be something like, "The provided unit for
> running guix-daemon on a foreign distribution configures the daemon to
> run with a local that is only provided in
> glibc-utf8-locales. Therefore, glibc-utf8-locacles should be installed
> in root's profile, or the unit should be configured to use a locale of
> your choosing."

‘glibc-utf8-locales’ is embedded in the ‘guix’ package (the binary
tarball), such that even if you don’t install it, “en_US.utf8” is
available to ‘guix substitute’ & co.

However, IIUC, the problem is with the Bash used by
libexec/guix/substitute, is that right?

Thanks,
Ludo’.